## iortcw 1.51.c%2Bdfsg1

=== SP/Makefile ===
#
# iowolfsp Makefile
#
# GNU Make required
#

COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')
ARM_VER_CHECK=$(shell uname -m)

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e 's/i.86/x86/')
endif

ifndef BUILD_STANDALONE
  BUILD_STANDALONE =
endif
ifndef BUILD_CLIENT
  BUILD_CLIENT     =
endif
ifndef BUILD_SERVER
  BUILD_SERVER     = 0
endif
ifndef BUILD_GAME_SO
  BUILD_GAME_SO    =
endif
ifndef BUILD_GAME_QVM
  BUILD_GAME_QVM   = 0
endif
ifndef BUILD_BASEGAME
  BUILD_BASEGAME =
endif
ifndef BUILD_RENDERER_REND2
  BUILD_RENDERER_REND2 =
endif
ifndef BUILD_ARCHIVE
  BUILD_ARCHIVE = 0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifeq ($(COMPILE_PLATFORM),cygwin)
  PLATFORM=mingw32
endif

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(PLATFORM),mingw32)
  MINGW=1
endif
ifeq ($(PLATFORM),mingw64)
  MINGW=1
endif

ifeq ($(COMPILE_ARCH),i386)
  COMPILE_ARCH=x86
endif
ifeq ($(COMPILE_ARCH),i86pc)
  COMPILE_ARCH=x86
endif

ifeq ($(COMPILE_ARCH),amd64)
  COMPILE_ARCH=x86_64
endif
ifeq ($(COMPILE_ARCH),x64)
  COMPILE_ARCH=x86_64
endif

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifeq ($(COMPILE_ARCH),axp)
  COMPILE_ARCH=alpha
endif

ifeq ($(COMPILE_ARCH),sparc64)
  COMPILE_ARCH=sparc
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

# For historical compatibility reasons on non-windows
# platform output files use i386 instead of x86
ifeq ($(ARCH),x86)
  ifndef MINGW
    FILE_ARCH=i386
  endif
endif

ifndef FILE_ARCH
FILE_ARCH=$(ARCH)
endif
export FILE_ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef VERSION
VERSION=1.51c-SP
endif

ifndef CLIENTBIN
 ifdef MINGW
    CLIENTBIN=ioWolfSP
  else
    CLIENTBIN=iowolfsp
  endif
endif

ifndef SERVERBIN
  ifdef MINGW
    SERVERBIN=ioWolfSPDED
  else
    SERVERBIN=iowolfspded
  endif
endif

ifndef BASEGAME
BASEGAME=main
endif

ifndef BASEGAME_CFLAGS
BASEGAME_CFLAGS=
endif

ifndef COPYDIR
COPYDIR="/usr/local/games/wolf"
endif

ifndef COPYBINDIR
COPYBINDIR=$(COPYDIR)
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef TEMPDIR
TEMPDIR=/tmp
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif

ifndef USE_CURL
USE_CURL=0
endif

ifndef USE_CURL_DLOPEN
  ifdef MINGW
    USE_CURL_DLOPEN=0
  else
    USE_CURL_DLOPEN=1
  endif
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=0
endif

ifndef USE_CODEC_OPUS
USE_CODEC_OPUS=1
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_FREETYPE
USE_FREETYPE=1
endif

ifndef USE_INTERNAL_LIBS
USE_INTERNAL_LIBS=1
endif

ifndef USE_INTERNAL_OGG
USE_INTERNAL_OGG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_VORBIS
USE_INTERNAL_VORBIS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPUS
USE_INTERNAL_OPUS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_FREETYPE
USE_INTERNAL_FREETYPE=$(USE_INTERNAL_LIBS)
endif

ifndef USE_LOCAL_HEADERS
USE_LOCAL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif

ifndef USE_XDG
USE_XDG=0
endif

ifndef USE_YACC
USE_YACC=0
endif

ifndef DEBUG_CFLAGS
DEBUG_CFLAGS=-g -O0
endif

ifndef USE_BLOOM
USE_BLOOM=1
endif

ifndef USE_OPENGLES
USE_OPENGLES=0
endif

ifndef USE_AUTHORIZE_SERVER
USE_AUTHORIZE_SERVER=0
endif


#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RDIR=$(MOUNT_DIR)/renderer
R2DIR=$(MOUNT_DIR)/rend2
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
JPDIR=$(MOUNT_DIR)/jpeg-8c
OGGDIR=$(MOUNT_DIR)/libogg-1.3.3
VORBISDIR=$(MOUNT_DIR)/libvorbis-1.3.6
OPUSDIR=$(MOUNT_DIR)/opus-1.2.1
OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.9
ZDIR=$(MOUNT_DIR)/zlib-1.2.11
FTDIR=$(MOUNT_DIR)/freetype-2.9
SPLDIR=$(MOUNT_DIR)/splines
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
SDLHDIR=$(MOUNT_DIR)/SDL2
LIBSDIR=$(MOUNT_DIR)/libs

bin_path=$(shell which $(1) 2> /dev/null)

# We won't need this if we only build the server
ifneq ($(BUILD_CLIENT),0)
  # set PKG_CONFIG_PATH or PKG_CONFIG to influence this, e.g.
  # PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig or
  # PKG_CONFIG=arm-linux-gnueabihf-$(PKG_CONFIG)
  ifeq ($(CROSS_COMPILING),0)
    PKG_CONFIG ?= pkg-config
  else
  ifneq ($(PKG_CONFIG_PATH),)
    PKG_CONFIG ?= pkg-config
  else
    # Don't use host pkg-config when cross-compiling.
    # (unknown-pkg-config is meant to be a non-existant command.)
    PKG_CONFIG ?= unknown-pkg-config
  endif
  endif

  ifneq ($(call bin_path, $(PKG_CONFIG)),)
    CURL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags libcurl)
    CURL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs libcurl)
    OPENAL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags openal)
    OPENAL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs openal)
    SDL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags sdl2|sed 's/-Dmain=SDL_main//')
    SDL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs sdl2)
  else
    # assume they're in the system default paths (no -I or -L needed)
    CURL_LIBS ?= -lcurl
    OPENAL_LIBS ?= -lopenal
  endif
  # Use sdl2-config if all else fails
  ifeq ($(SDL_CFLAGS),)
    ifneq ($(call bin_path, sdl2-config),)
      SDL_CFLAGS = $(shell sdl2-config --cflags)
      SDL_LIBS = $(shell sdl2-config --libs)
    endif
  endif
endif

#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

## Defaults
INSTALL=install
MKDIR=mkdir -p
EXTRA_FILES=
CLIENT_EXTRA_FILES=

ifneq (,$(findstring "$(COMPILE_PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  TOOLS_CFLAGS += -DARCH_STRING=\"$(COMPILE_ARCH)\"
endif

ifneq (,$(findstring "$(PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))

  BASE_CFLAGS = -Wall -fno-strict-aliasing \
    -pipe -DUSE_ICON -DARCH_STRING=\\\"$(FILE_ARCH)\\\"
  CLIENT_CFLAGS += $(SDL_CFLAGS)

  OPTIMIZEVM = -O3
  OPTIMIZE = $(OPTIMIZEVM) -ffast-math

  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM = -O3
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM = -O3 -march=i586
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),ppc)
    ALTIVEC_CFLAGS = -maltivec
  endif
  ifeq ($(ARCH),ppc64)
    ALTIVEC_CFLAGS = -maltivec
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),sparc64)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),alpha)
    # According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410555
    # -ffast-math will cause the client to die with SIGFPE on Alpha
    OPTIMIZE = $(OPTIMIZEVM)
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC -fvisibility=hidden
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm

  ifeq ($(USE_LOCAL_HEADERS),1)
    CLIENT_CFLAGS += -I$(SDLHDIR)/include
  endif

  ifeq ($(USE_INTERNAL_LIBS),1)
    ifeq ($(CROSS_COMPILING),1)
      ifeq ($(ARCH),x86)
      SDL_LIBS = $(LIBSDIR)/linux32/libSDL2main.a \
                 $(LIBSDIR)/linux32/libSDL2-2.0.so.0.9.0
      endif
      ifeq ($(ARCH),x86_64)
      SDL_LIBS = $(LIBSDIR)/linux64/libSDL2main.a \
                 $(LIBSDIR)/linux64/libSDL2-2.0.so.0.9.0
      endif
    endif
  endif

  ifeq ($(USE_OPENGLES),1)
    BUILD_RENDERER_REND2 = 0
    BASE_CFLAGS += -DUSE_OPENGLES
    CLIENT_LIBS = $(SDL_LIBS)
    RENDERER_LIBS = $(SDL_LIBS)
    SERVER_LIBS =
  else
    CLIENT_CFLAGS += $(SDL_CFLAGS)
    CLIENT_LIBS += $(SDL_LIBS)
    RENDERER_LIBS += $(SDL_LIBS)
    SERVER_LIBS =
  endif

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  LIBS = -framework Cocoa
  CLIENT_LIBS=
  RENDERER_LIBS=
  OPTIMIZEVM= -O3

  BASE_CFLAGS = -Wall

  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -arch ppc -mmacosx-version-min=10.5 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1050 -DMAC_OS_X_VERSION_MAX_ALLOWED=1060
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -arch ppc64 -mmacosx-version-min=10.5 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1050 -DMAC_OS_X_VERSION_MAX_ALLOWED=1060
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM += -march=prescott -mfpmath=sse
    # x86 vm will crash without -mstackrealign since MMX instructions will be
    # used no matter what and they corrupt the frame pointer in VM calls
    BASE_CFLAGS += -arch i386 -mstackrealign -mmacosx-version-min=10.6 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1060
  endif
  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM += -mfpmath=sse
    BASE_CFLAGS += -arch x86_64 -mmacosx-version-min=10.6 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1060
  endif

  # When compiling on OSX for OSX, we're not cross compiling as far as the
  # Makefile is concerned, as target architecture is specified as a compiler
  # argument
  ifeq ($(COMPILE_PLATFORM),darwin)
    CROSS_COMPILING=0
  endif

  ifeq ($(CROSS_COMPILING),1)
    ifeq ($(ARCH),ppc)
      CC=powerpc-apple-darwin10-gcc
      RANLIB=powerpc-apple-darwin10-ranlib
    else
      ifeq ($(ARCH),x86)
        CC=i686-apple-darwin10-gcc
        RANLIB=i686-apple-darwin10-ranlib
      else
        $(error Architecture $(ARCH) is not supported when cross compiling)
      endif
    endif
  endif

  BASE_CFLAGS += -fno-strict-aliasing -fno-common -pipe

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      ifneq ($(USE_INTERNAL_LIBS),1)
        CLIENT_CFLAGS += $(OPENAL_CFLAGS)
        CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
      else
        CLIENT_LIBS += -framework OpenAL
      endif
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  BASE_CFLAGS += -D_THREAD_SAFE=1

  ifeq ($(USE_LOCAL_HEADERS),1)
    ifneq ($(findstring $(ARCH),ppc ppc64),)
      CLIENT_CFLAGS += -I$(SDLHDIR)/include-2.0.1
    else
      CLIENT_CFLAGS += -I$(SDLHDIR)/include
    endif
  else

=== debian/changelog ===
iortcw (1.51.c+dfsg1-7) unstable; urgency=medium

  * apparmor.d: Update from ioquake3
    - Allow reading /usr/share/pipewire
    - Allow SDL audio backends to name their background threads
  * Silence warnings from man(1) by using italic instead of underlines

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 11:00:24 +0000

iortcw (1.51.c+dfsg1-6) unstable; urgency=medium

  * d/rtcw-server.install: Don't explicitly install rtcw-server@.service.
    dh_installsystemd does this for us automatically, and letting it
    take responsibility for the instanced unit should make it possible
    to move the systemd units to /usr/lib/systemd by binNMUing with a
    newer debhelper.

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Oct 2023 10:06:52 +0100

iortcw (1.51.c+dfsg1-5) unstable; urgency=medium

  * Use launcher from game-data-packager-runtime instead of a shell script.
    This provides a better UX if data files are missing.
    For the dedicated server, we can't guarantee that
    game-data-packager-runtime is installed, and we don't want an
    explicit dependency on it because that would pull in a whole X11
    stack, so only use it opportunistically, falling back to a shell
    script implementation if necessary.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 16:35:22 +0100

iortcw (1.51.c+dfsg1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper compat level from 12 to 13
  * Update renamed lintian tag names in lintian overrides
  * d/upstream/metadata: Add
  * Remove version constraints unnecessary since buster (oldstable)

  [ Simon McVittie ]
  * Set more upstream metadata fields
  * Update Standards-Version to 4.6.2 (no changes required)
  * Remove Lintian overrides that are no longer needed
  * d/control: Replace transitional libfreetype6-dev with libfreetype-dev
  * Drop unnecessary lsb-base dependency.
    In bookworm this is provided by the Essential sysvinit-utils package.
    In older releases, it was unnecessary when booting with systemd, and
    pulled in as a dependency by sysvinit-based init systems that used our
    LSB init script.
  * d/apparmor.d/usr.lib.rtcw: Resync with ioquake3

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jan 2023 17:57:49 +0000

iortcw (1.51.c+dfsg1-3) unstable; urgency=medium

  * Update AppArmor profiles to use abstractions from 2.13.x.
    A suitable version is available in Debian 10 and Ubuntu 19.10.
  * Explicitly link game, cgame, ui modules to libm.
    This is the equivalent of #966150, but for RTCW.
  * Link with -Wl,-z,defs to enforce that all modules are self-contained
  * Mark patch for #966150 as applied upstream
  * Standards-Version: 4.5.1 (no changes required)
  * d/gbp.conf: Use debian/latest branch for packaging
  * d/copyright: Remove a duplicate line
  * Add Lintian overrides for overzealous breakout-link tag (#971707)
  * Remove unused Lintian override

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 20:56:20 +0000

iortcw (1.51.c+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Set LC_ALL=C.UTF-8 and TZ=UTC.
    This affects the build date derived from SOURCE_DATE_EPOCH,
    which should be the same for all builds to improve reproducibility.
  * d/rules: Use dh_auto_build for the build step.
    In particular this results in setting the right CC, CXX and PKG_CONFIG
    when cross-compiling.
  * Explicitly set COMPILE_ARCH, COMPILE_PLATFORM as well as ARCH and
    PLATFORM.
    Otherwise the build system will think we're cross-compiling on any
    non-special-cased architecture where uname -m doesn't match the CPU
    part of the GNU tuple (or when reprotest builds under linux32 on
    amd64), which in recent versions causes the upstream build system
    to reject pkg-config.
  * Explicitly set PKG_CONFIG, even when not cross-compiling
  * d/rules: Remove migration path from rtcw-dbg, which was not in
    stretch or buster
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jul 2019 20:17:09 +0100

iortcw (1.51.c+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - Increase minimum build-dependencies to match the versions bundled
      by upstream (except libogg, #894158)
    - Refresh patches
    - d/copyright: Update
  * AppArmor: Allow Mesa 18 shader cache
  * AppArmor: Mark the parts that can be simplified with a dependency
    on apparmor (>= 2.13). Don't depend on that version yet for easier
    backporting.
  * AppArmor: Rename AppArmor profiles to decouple the name from the
    attachment, as per
    https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
  * d/p/All-Rend2-Stub-out-USE_BOX_CUBEMAP_PARALLAX-on-GLSL-1.30.patch:
    Apply post-release patch from upstream to complete fix for the
    equivalent of #923226
  * d/rules: Remove get-orig-source target
  * d/watch: Set repacksuffix to +dfsg1
  * Declare compliance with Debian Policy 4.3.0
  * Move to debhelper-compat (= 12)
    - Add ${misc:Pre-Depends} to all packages (only strictly necessary
      for rtcw-server)
  * d/copyright: Mention that this package is not part of Debian
    (Policy §12.5)
  * d/rtcw-common.lintian-overrides: Justify why
    /usr/lib/rtcw/README.rtcw-data can't be in /usr/share/doc
  * Symlink README.rtcw-data into rtcw, rtcw-server packages' doc
    directories

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2019 17:09:15 +0000

## iortcw 1.51.c+dfsg1

=== MP/Makefile ===
#
# iowolfmp Makefile
#
# GNU Make required
#

COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')
ARM_VER_CHECK=$(shell uname -m)

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e 's/i.86/x86/')
endif

ifndef BUILD_STANDALONE
  BUILD_STANDALONE =
endif
ifndef BUILD_CLIENT
  BUILD_CLIENT     =
endif
ifndef BUILD_SERVER
  BUILD_SERVER     =
endif
ifndef BUILD_UPDATE_SERVER
  BUILD_UPDATE_SERVER     = 0
endif
ifndef BUILD_GAME_SO
  BUILD_GAME_SO    =
endif
ifndef BUILD_GAME_QVM
  BUILD_GAME_QVM   =
endif
ifndef BUILD_BASEGAME
  BUILD_BASEGAME =
endif
ifndef BUILD_RENDERER_REND2
  BUILD_RENDERER_REND2 =
endif
ifndef BUILD_ARCHIVE
  BUILD_ARCHIVE = 0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifeq ($(COMPILE_PLATFORM),cygwin)
  PLATFORM=mingw32
endif

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(PLATFORM),mingw32)
  MINGW=1
endif
ifeq ($(PLATFORM),mingw64)
  MINGW=1
endif

ifeq ($(COMPILE_ARCH),i386)
  COMPILE_ARCH=x86
endif
ifeq ($(COMPILE_ARCH),i86pc)
  COMPILE_ARCH=x86
endif

ifeq ($(COMPILE_ARCH),amd64)
  COMPILE_ARCH=x86_64
endif
ifeq ($(COMPILE_ARCH),x64)
  COMPILE_ARCH=x86_64
endif

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifeq ($(COMPILE_ARCH),axp)
  COMPILE_ARCH=alpha
endif

ifeq ($(COMPILE_ARCH),sparc64)
  COMPILE_ARCH=sparc
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

# For historical compatibility reasons on non-windows
# platform output files use i386 instead of x86
ifeq ($(ARCH),x86)
  ifndef MINGW
    FILE_ARCH=i386
  endif
endif

ifndef FILE_ARCH
FILE_ARCH=$(ARCH)
endif
export FILE_ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef VERSION
VERSION=1.51c-MP
endif

ifndef CLIENTBIN
  ifdef MINGW
    CLIENTBIN=ioWolfMP
  else
    CLIENTBIN=iowolfmp
  endif
endif

ifndef SERVERBIN
  ifdef MINGW
    SERVERBIN=ioWolfDED
  else
    SERVERBIN=iowolfded
  endif
endif

ifndef BASEGAME
BASEGAME=main
endif

ifndef BASEGAME_CFLAGS
BASEGAME_CFLAGS=
endif

ifndef COPYDIR
COPYDIR="/usr/local/games/wolf"
endif

ifndef COPYBINDIR
COPYBINDIR=$(COPYDIR)
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef TEMPDIR
TEMPDIR=/tmp
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif

ifndef USE_CURL
USE_CURL=1
endif

ifndef USE_CURL_DLOPEN
  ifdef MINGW
    USE_CURL_DLOPEN=0
  else
    USE_CURL_DLOPEN=1
  endif
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=0
endif

ifndef USE_CODEC_OPUS
USE_CODEC_OPUS=1
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_FREETYPE
USE_FREETYPE=1
endif

ifndef USE_INTERNAL_LIBS
USE_INTERNAL_LIBS=1
endif

ifndef USE_INTERNAL_OGG
USE_INTERNAL_OGG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_VORBIS
USE_INTERNAL_VORBIS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPUS
USE_INTERNAL_OPUS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_FREETYPE
USE_INTERNAL_FREETYPE=$(USE_INTERNAL_LIBS)
endif

ifndef USE_LOCAL_HEADERS
USE_LOCAL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif

ifndef USE_XDG
USE_XDG=0
endif

ifndef USE_YACC
USE_YACC=0
endif

ifndef DEBUG_CFLAGS
DEBUG_CFLAGS=-g -O0
endif

ifndef USE_ANTIWALLHACK
USE_ANTIWALLHACK=0
endif

ifndef USE_BLOOM
USE_BLOOM=1
endif

ifndef USE_OPENGLES
USE_OPENGLES=0
endif

ifndef USE_PBMD5
USE_PBMD5=1
endif

ifndef USE_AUTHORIZE_SERVER
USE_AUTHORIZE_SERVER=0
endif


#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RDIR=$(MOUNT_DIR)/renderer
R2DIR=$(MOUNT_DIR)/rend2
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
JPDIR=$(MOUNT_DIR)/jpeg-8c
OGGDIR=$(MOUNT_DIR)/libogg-1.3.3
VORBISDIR=$(MOUNT_DIR)/libvorbis-1.3.6
OPUSDIR=$(MOUNT_DIR)/opus-1.2.1
OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.9
ZDIR=$(MOUNT_DIR)/zlib-1.2.11
FTDIR=$(MOUNT_DIR)/freetype-2.9
SPLDIR=$(MOUNT_DIR)/splines
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
SDLHDIR=$(MOUNT_DIR)/SDL2
LIBSDIR=$(MOUNT_DIR)/libs

bin_path=$(shell which $(1) 2> /dev/null)

# We won't need this if we only build the server
ifneq ($(BUILD_CLIENT),0)
  # set PKG_CONFIG_PATH or PKG_CONFIG to influence this, e.g.
  # PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig or
  # PKG_CONFIG=arm-linux-gnueabihf-$(PKG_CONFIG)
  ifeq ($(CROSS_COMPILING),0)
    PKG_CONFIG ?= pkg-config
  else
  ifneq ($(PKG_CONFIG_PATH),)
    PKG_CONFIG ?= pkg-config
  else
    # Don't use host pkg-config when cross-compiling.
    # (unknown-pkg-config is meant to be a non-existant command.)
    PKG_CONFIG ?= unknown-pkg-config
  endif
  endif

  ifneq ($(call bin_path, $(PKG_CONFIG)),)
    CURL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags libcurl)
    CURL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs libcurl)
    OPENAL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags openal)
    OPENAL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs openal)
    SDL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags sdl2|sed 's/-Dmain=SDL_main//')
    SDL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs sdl2)
  else
    # assume they're in the system default paths (no -I or -L needed)
    CURL_LIBS ?= -lcurl
    OPENAL_LIBS ?= -lopenal
  endif
  # Use sdl2-config if all else fails
  ifeq ($(SDL_CFLAGS),)
    ifneq ($(call bin_path, sdl2-config),)
      SDL_CFLAGS = $(shell sdl2-config --cflags)
      SDL_LIBS = $(shell sdl2-config --libs)
    endif
  endif
endif

#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

## Defaults
INSTALL=install
MKDIR=mkdir -p
EXTRA_FILES=
CLIENT_EXTRA_FILES=

ifneq (,$(findstring "$(COMPILE_PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  TOOLS_CFLAGS += -DARCH_STRING=\"$(COMPILE_ARCH)\"
endif

ifneq (,$(findstring "$(PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))

  BASE_CFLAGS = -Wall -fno-strict-aliasing \
    -pipe -DUSE_ICON -DARCH_STRING=\\\"$(FILE_ARCH)\\\"
  CLIENT_CFLAGS += $(SDL_CFLAGS)

  OPTIMIZEVM = -O3
  OPTIMIZE = $(OPTIMIZEVM) -ffast-math

  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM = -O3
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM = -O3 -march=i586
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),ppc)
    ALTIVEC_CFLAGS = -maltivec
  endif
  ifeq ($(ARCH),ppc64)
    ALTIVEC_CFLAGS = -maltivec
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),sparc64)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),alpha)
    # According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410555
    # -ffast-math will cause the client to die with SIGFPE on Alpha
    OPTIMIZE = $(OPTIMIZEVM)
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC -fvisibility=hidden
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm

  ifeq ($(USE_LOCAL_HEADERS),1)
    CLIENT_CFLAGS += -I$(SDLHDIR)/include
  endif

  ifeq ($(USE_INTERNAL_LIBS),1)
    ifeq ($(CROSS_COMPILING),1)
      ifeq ($(ARCH),x86)
      SDL_LIBS = $(LIBSDIR)/linux32/libSDL2main.a \
                 $(LIBSDIR)/linux32/libSDL2-2.0.so.0.9.0
      endif
      ifeq ($(ARCH),x86_64)
      SDL_LIBS = $(LIBSDIR)/linux64/libSDL2main.a \
                 $(LIBSDIR)/linux64/libSDL2-2.0.so.0.9.0
      endif
    endif
  endif

  ifeq ($(USE_OPENGLES),1)
    BUILD_RENDERER_REND2 = 0
    BASE_CFLAGS += -DUSE_OPENGLES
    CLIENT_LIBS = $(SDL_LIBS)
    RENDERER_LIBS = $(SDL_LIBS)
    SERVER_LIBS =
  else
    CLIENT_CFLAGS += $(SDL_CFLAGS)
    CLIENT_LIBS += $(SDL_LIBS)
    RENDERER_LIBS += $(SDL_LIBS)
    SERVER_LIBS =
  endif

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  LIBS = -framework Cocoa
  CLIENT_LIBS=
  RENDERER_LIBS=
  OPTIMIZEVM= -O3

  BASE_CFLAGS = -Wall

  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -arch ppc -mmacosx-version-min=10.5 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1050 -DMAC_OS_X_VERSION_MAX_ALLOWED=1060
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -arch ppc64 -mmacosx-version-min=10.5 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1050 -DMAC_OS_X_VERSION_MAX_ALLOWED=1060
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM += -march=prescott -mfpmath=sse
    # x86 vm will crash without -mstackrealign since MMX instructions will be
    # used no matter what and they corrupt the frame pointer in VM calls
    BASE_CFLAGS += -arch i386 -mstackrealign -mmacosx-version-min=10.6 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1060
  endif
  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM += -mfpmath=sse
    BASE_CFLAGS += -arch x86_64 -mmacosx-version-min=10.6 \
      -DMAC_OS_X_VERSION_MIN_REQUIRED=1060
  endif

  # When compiling on OSX for OSX, we're not cross compiling as far as the
  # Makefile is concerned, as target architecture is specified as a compiler
  # argument
  ifeq ($(COMPILE_PLATFORM),darwin)
    CROSS_COMPILING=0
  endif

  ifeq ($(CROSS_COMPILING),1)
    ifeq ($(ARCH),ppc)
      CC=powerpc-apple-darwin10-gcc
      RANLIB=powerpc-apple-darwin10-ranlib
    else
      ifeq ($(ARCH),x86)
        CC=i686-apple-darwin10-gcc
        RANLIB=i686-apple-darwin10-ranlib
      else
        $(error Architecture $(ARCH) is not supported when cross compiling)
      endif
    endif
  endif

  BASE_CFLAGS += -fno-strict-aliasing -fno-common -pipe

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      ifneq ($(USE_INTERNAL_LIBS),1)
        CLIENT_CFLAGS += $(OPENAL_CFLAGS)
        CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
      else
        CLIENT_LIBS += -framework OpenAL
      endif
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  BASE_CFLAGS += -D_THREAD_SAFE=1

  ifeq ($(USE_LOCAL_HEADERS),1)
    ifneq ($(findstring $(ARCH),ppc ppc64),)

=== debian/changelog ===
iortcw (1.51.c+dfsg1-8) unstable; urgency=medium

  * d/rules: Pass dpkg's recommended CFLAGS, etc. to native compiler
    if used. In practice this source package doesn't (yet?) so this is
    only for completeness.
  * Mark packaging to be normalized by `debputy reformat`
  * d/copyright: Don't quote the FSF's former postal address here
  * Use dpkg build API v1
  * Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/watch: Convert to uscan format v5
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Disable unnecessary build jobs.
    There are no Architecture: all binary packages here, so the "any"
    build is redundant with the default build, and the "all" build
    does nothing.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 11:00:55 +0000

=== debian/control ===
Source: iortcw
X-Style: black
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 dpkg-build-api (= 1),
 libcurl4-gnutls-dev,
 libfreetype-dev,
 libjpeg-dev,
 libogg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev,
 libvorbis-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/iortcw.git
Vcs-Browser: https://salsa.debian.org/games-team/iortcw
Homepage: https://github.com/iortcw/iortcw/

Package: rtcw
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= 75~),
 rtcw-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x11-utils | zenity | kdialog,
Description: game engine for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains the iortcw game engines for the single-player campaign
 and multiplayer, based on ioquake3 and the GPL source releases of RTCW.
 .
 For security reasons, this version has been modified to prevent native
 executable code from being unpacked from game packages (PK3 files).
 Some game modifications will not work as a result of this change.
 .
 Return to Castle Wolfenstein requires non-distributable game data files
 in the rtcw-data package, prepared using the game-data-packager tool.

Package: rtcw-common
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 rtcw-data (>= 1.42b+40) | game-data-packager,
 ${misc:Depends},
 ${shlibs:Depends},
Description: common files for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains files shared by the game and the dedicated server.
 It requires non-distributable game data files from the rtcw-data package,
 which can be prepared using the game-data-packager tool.

Package: rtcw-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 rtcw-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: standalone server for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains the iortcw dedicated server for multiplayer,
 based on ioquake3 and the GPL source releases of RTCW. It also contains
 the init script and systemd unit to start the RTCW server, with support
 for multiple server instances under systemd.
 .
 Return to Castle Wolfenstein requires non-distributable game data files
 from the rtcw-data package, prepared using the game-data-packager tool.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LC_ALL=C.UTF-8
export TZ=UTC

DEB_CFLAGS_MAINT_APPEND := \
	-fsigned-char \
	$(NULL)

include /usr/share/dpkg/default.mk

%:
	dh $@

options := \
	V=1 \
	USE_CODEC_OPUS=1 \
	USE_CODEC_VORBIS=1 \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_INTERNAL_LIBS=0 \
	USE_LOCAL_HEADERS=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_VOIP=1 \
	$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
	$(shell $(CURDIR)/debian/q3arch make-build ${DEB_BUILD_GNU_CPU} ${DEB_BUILD_GNU_SYSTEM}) \
	BUILD_GAME_QVM=0 \
	COPYDIR=$(CURDIR)/debian/tmp/usr/lib/rtcw \
	NO_STRIP=1 \
	OPTIMIZE='' \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
	CFLAGS='$(filter-out -fPIE -pie,$(CFLAGS)) $(CPPFLAGS)' \
	NOTSHLIBCFLAGS='$(filter -fPIE -pie,$(CFLAGS))' \
	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS)) -Wl,-z,defs' \
	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
	PKG_CONFIG=${DEB_HOST_GNU_TYPE}-pkg-config \
	TOOLS_CC=${DEB_BUILD_GNU_TYPE}-gcc \
	TOOLS_CFLAGS='-fno-strict-aliasing $(CFLAGS_FOR_BUILD) $(CPPFLAGS_FOR_BUILD)' \
	TOOLS_LDFLAGS='$(LDFLAGS_FOR_BUILD)' \
	$(NULL)

sp_options := \
	BR=$(CURDIR)/debian/build/sp \
	$(NULL)

mp_options := \
	BR=$(CURDIR)/debian/build/mp \
	$(NULL)

ifeq ($(DEB_HOST_ARCH),armhf)
options += ARM_VER_CHECK=armv7l
else
options += ARM_VER_CHECK=something_else
endif

override_dh_auto_build:
	install -d debian/build/mp debian/build/sp
	dh_auto_build --sourcedirectory=SP -- \
		$(options) \
		$(sp_options) \
		release
	dh_auto_build --sourcedirectory=MP -- \
		$(options) \
		$(mp_options) \
		release

override_dh_auto_install:
	make -C SP -- \
		$(options) \
		$(sp_options) \
		copyfiles
	cd debian/tmp/usr/lib/rtcw && ln -s iowolfsp.* iowolfsp
	make -C MP -- \
		$(options) \
		$(mp_options) \
		copyfiles
	cd debian/tmp/usr/lib/rtcw && ln -s iowolfmp.* iowolfmp
	cd debian/tmp/usr/lib/rtcw && ln -s iowolfded.* iowolfded

ifeq ($(DEB_HOST_ARCH_OS),linux)
override_dh_install-arch:
	dh_install -a
	dh_apparmor -prtcw --profile-name=usr.lib.rtcw
	dh_apparmor -prtcw-server --profile-name=usr.lib.rtcw.iowolfded
endif

override_dh_clean:
	dh_clean -XSP/code/game/g_func_decs.h.orig -XSP/code/game/g_funcs.h.orig

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=SP -- $(options) $(sp_options)
	dh_auto_clean --sourcedirectory=MP -- $(options) $(mp_options)
	find debian/build || :
	rm -fr debian/build

# ---------------------------------------------------------------------------

# Not done automatically to avoid a build-dependency on inkscape
maintainer-update-icons: \
		debian/32/wolfsp.png \
		debian/48/wolfsp.png \
		debian/32/wolfmp.png \
		debian/48/wolfmp.png \
		$(NULL)
	inkscape -C -w 32 -h 32 --export-png=debian/32/wolfsp.png debian/wolfsp.svg
	inkscape -C -w 48 -h 48 --export-png=debian/48/wolfsp.png debian/wolfsp.svg
	inkscape -C -w 32 -h 32 --export-png=debian/32/wolfmp.png debian/wolfmp.svg
	inkscape -C -w 48 -h 48 --export-png=debian/48/wolfmp.png debian/wolfmp.svg

=== debian/watch ===
Version: 5

Source: https://github.com/iortcw/iortcw/tags
Matching-Pattern: .*/(\d\S*)\.tar\.gz
Dversion-Mangle: s/(\+[0-9]{8})?\+dfsg[0-9]+$//
Filename-Mangle: s/.+\/(\d\S*)\.tar\.gz/iortcw-$1\.tar\.gz/
Repack-Suffix: +dfsg1
Uversion-Mangle: s/^(\d+\.\d)([a-z])$/${1}0${2}/;s/^([0-9.]+)([a-z])$/${1}.${2}/
